# Update plan

Updates subscription plan parameters.

Endpoint: PUT /projects/{project_id}/subscriptions/plans/{plan_id}
Version: 2.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID.

  - `plan_id` (integer, required)
    요금제 ID입니다.

## Request fields (application/json):

  - `billing_retry` (object)
    청구 재시도 세부 정보입니다.

  - `billing_retry.value` (integer, required)
    청구 재시도 횟수입니다.

  - `charge` (object)
    청구 세부 정보입니다.

  - `charge.amount` (number)
    Billing amount.

  - `charge.currency` (string)
    구매 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자릿수 통화 코드입니다.

  - `charge.period` (object, required)
    청구 기간입니다.

  - `charge.period.type` (string, required)
    시간 단위입니다. day, month 혹은 lifetime일 수 있습니다.
    Enum: "day", "month", "lifetime"

  - `charge.period.value` (integer, required)
    시간 단위 수입니다. 값은 유형 매개 변수에 따라 달라지며 다음이 될 수 있습니다:type이 day인 경우 1~366, type이 month인 경우 1~12, type이 lifetime인 경우 0

  - `charge.prices` (array)
    다양한 통화로 되어 있는 가격 목록입니다.

  - `charge.prices.amount` (number, required)
    Billing amount.

  - `charge.prices.currency` (string, required)
    구매 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자릿수 통화 코드입니다.

  - `charge.prices.setup_fee` (number)
    첫 청구서의 일부로 청구되는 일회성 설정 수수료입니다.

  - `description` (object)
    요금제 설명입니다. "localization":"plan description" 쌍으로 구성된 값입니다.

  - `description.ar` (string)
    아랍어.

  - `description.bg` (string)
    불가리아어.

  - `description.cn` (string)
    중국어(간체).

  - `description.cs` (string)
    체코어.

  - `description.de` (string)
    독일어.

  - `description.en` (string)
    영어.

  - `description.es` (string)
    스페인어.

  - `description.fr` (string)
    프랑스어.

  - `description.he` (string)
    히브리어.

  - `description.it` (string)
    이탈리아어.

  - `description.ja` (string)
    일본어.

  - `description.ko` (string)
    한국어.

  - `description.pl` (string)
    폴란드어.

  - `description.pt` (string)
    포르투갈어.

  - `description.ro` (string)
    루마니아어.

  - `description.ru` (string)
    러시아어.

  - `description.th` (string)
    태국어.

  - `description.tr` (string)
    터키어.

  - `description.tw` (string)
    중국어(번체).

  - `description.vi` (string)
    베트남어.

  - `expiration` (object)
    정기 결제 만료 세부 정보입니다.

  - `expiration.type` (string, required)
    시간 단위입니다. day 혹은 month일 수 있습니다.
    Enum: "day", "month"

  - `expiration.value` (integer,null, required)
    만료 전 남은 기간입니다.

  - `external_id` (string)
    Plan external ID (32 characters).

  - `grace_period` (object)
    Grace period details.

  - `grace_period.type` (string, required)
    시간 단위입니다. day일 수 있습니다.
    Enum: "day"

  - `grace_period.value` (integer, required)
    Number of time units.

  - `group_id` (string)
    이러한 요금제가 연결된 그룹의 ID입니다.

  - `name` (object)
    요금제 이름입니다. "localization":"plan name" 쌍으로 구성된 값입니다.

  - `name.ar` (string)
    아랍어.

  - `name.bg` (string)
    불가리아어.

  - `name.cn` (string)
    중국어(간체).

  - `name.cs` (string)
    체코어.

  - `name.de` (string)
    독일어.

  - `name.en` (string)
    영어.

  - `name.es` (string)
    스페인어.

  - `name.fr` (string)
    프랑스어.

  - `name.he` (string)
    히브리어.

  - `name.it` (string)
    이탈리아어.

  - `name.ja` (string)
    일본어.

  - `name.ko` (string)
    한국어.

  - `name.pl` (string)
    폴란드어.

  - `name.pt` (string)
    포르투갈어.

  - `name.ro` (string)
    루마니아어.

  - `name.ru` (string)
    러시아어.

  - `name.th` (string)
    태국어.

  - `name.tr` (string)
    터키어.

  - `name.tw` (string)
    중국어(번체).

  - `name.vi` (string)
    베트남어.

  - `refund_period` (integer,null)
    사용자가 정기 결제 요금제 지급금을 환불할 수 있는 기간(일 단위)입니다.

  - `status` (object)

  - `status.value` (string)
    정기 결제 요금제 상태입니다.
    Enum: "active", "disabled"

  - `tags` (array)
    Plan tags.

  - `trial` (object)
    무료 체험 세부 정보입니다. 이 매개 변수가 전달되지 않으면 기본값 (0일)을 사용합니다.

  - `trial.type` (string, required)
    시간 단위입니다. day일 수 있습니다.
    Enum: "day"

  - `trial.value` (integer, required)
    Number of time units.


## Response 200 fields
